<?
	include_once "IPSInstaller.ips.php";

	define ("c_Program_Path",					"Program.Weather.IPSTwillight");

	define ("c_WebFront_Path",					"WebFront.Wetter.Dmmerung");
	define ("c_WebFront_ConfigId",			57215);
	define ("c_WebFront_TabPaneRoot",		'WeatherTP');
	define ("c_WebFront_TabPaneOrderId",	20);
	define ("c_WebFront_TabPaneName",		"Dmmerung");
	define ("c_WebFront_TabPaneIcon",		"Sun");

	define ("c_iPhone_Path",					"iPhone.Wetter.Dmmerung");
	define ("c_iPhone_OrderId",				20);
	define ("c_iPhone_Icon",					"Sun");

	$Location = "Korneuburg";


	// ----------------------------------------------------------------------------------------------------------------------------
	// Program Installation
	// ----------------------------------------------------------------------------------------------------------------------------
	$CategoryIdTwillight = CreateCategoryPath(c_Program_Path);
	$CategoryIdScripts   = CreateCategory('Scripts',  $CategoryIdTwillight, 10);
	$CategoryIdGraphics  = CreateCategory('Graphics', $CategoryIdTwillight, 20);
	$CategoryIdData      = CreateCategory('Data',     $CategoryIdTwillight, 30);

	// Scripts
	IPS_SetParent($IPS_SELF, $CategoryIdScripts);
   $ScriptIdSunrise         = CreateScript('IPSTwillight',   'IPSTwillight.ips.php',   $CategoryIdScripts, 10);

	$ScriptIdRefresh         = CreateTimer_OnceADay ('Refresh', $ScriptIdSunrise, 0, 15) ;

	// Graphics
   $YearMediaId          = CreateMedia ('IPSTwillight_Year',          $CategoryIdGraphics, IPS_GetKernelDir().'media\\IPSTwillight_Year.gif',          false,1,'Sun');
   $YearLimitedMediaId   = CreateMedia ('IPSTwillight_YearLimited',   $CategoryIdGraphics, IPS_GetKernelDir().'media\\IPSTwillight_YearLimited.gif',   false,1,'Sun');
   $YearUnlimitedMediaId = CreateMedia ('IPSTwillight_YearUnlimited', $CategoryIdGraphics, IPS_GetKernelDir().'media\\IPSTwillight_YearUnlimited.gif', false,1,'Sun');
   $DayMediaId           = CreateMedia ('IPSTwillight_Day',           $CategoryIdGraphics, IPS_GetKernelDir().'media\\IPSTwillight_Day.gif',           false,1,'Sun');
   $DayLimitedMediaId    = CreateMedia ('IPSTwillight_DayLimited',    $CategoryIdGraphics, IPS_GetKernelDir().'media\\IPSTwillight_DayLimited.gif',    false,1,'Sun');
   $DayUnlimitedMediaId  = CreateMedia ('IPSTwillight_DayUnlimited',  $CategoryIdGraphics, IPS_GetKernelDir().'media\\IPSTwillight_DayUnlimited.gif',  false,1,'Sun');

	//Data
	$DisplaySwitchId = CreateVariable('Display' ,     0 /*Boolean*/, $CategoryIdData, 10, '~Switch',$ScriptIdSunrise, false,   'Information');

	$SunriseBeg     = CreateVariable("SunriseBegin",        3 /*String*/,  $CategoryIdData,  110, '~String', $ScriptIdSunrise, '');
	$SunriseEnd     = CreateVariable("SunriseEnd",          3 /*String*/,  $CategoryIdData,  120, '~String', $ScriptIdSunrise, '');
	$SunriseBegLim  = CreateVariable("SunriseBeginLimited", 3 /*String*/,  $CategoryIdData,  130, '~String', $ScriptIdSunrise, '');
	$SunriseEndLim  = CreateVariable("SunriseEndLimited",   3 /*String*/,  $CategoryIdData,  140, '~String', $ScriptIdSunrise, '');
	$SunriseDisplay = CreateVariable("SunriseDisplay",      3 /*String*/,  $CategoryIdData,  150, '~String', null,             '00:00 - 00:00');
	$SunriseLimits  = CreateVariable("SunriseLimits",       3 /*String*/,  $CategoryIdData,  160, '~String', $ScriptIdSunrise, '05:30-07:30/18:30-20:30');

	$CivilBeg     = CreateVariable("CivilBegin",        3 /*String*/,  $CategoryIdData,  210, '~String', $ScriptIdSunrise, '');
	$CivilEnd     = CreateVariable("CivilEnd",          3 /*String*/,  $CategoryIdData,  220, '~String', $ScriptIdSunrise, '');
	$CivilBegLim  = CreateVariable("CivilBeginLimited", 3 /*String*/,  $CategoryIdData,  230, '~String', $ScriptIdSunrise, '');
	$CivilEndLim  = CreateVariable("CivilEndLimited",   3 /*String*/,  $CategoryIdData,  240, '~String', $ScriptIdSunrise, '');
	$CivilDisplay = CreateVariable("CivilDisplay",      3 /*String*/,  $CategoryIdData,  250, '~String', null,             '00:00 - 00:00');
	$CivilLimits  = CreateVariable("CivilLimits",       3 /*String*/,  $CategoryIdData,  260, '~String', $ScriptIdSunrise, '05:00-07:00/19:00-21:00');

	$NauticBeg     = CreateVariable("NauticBegin",        3 /*String*/,  $CategoryIdData,  310, '~String', $ScriptIdSunrise, '');
	$NauticEnd     = CreateVariable("NauticEnd",          3 /*String*/,  $CategoryIdData,  320, '~String', $ScriptIdSunrise, '');
	$NauticBegLim  = CreateVariable("NauticBeginLimited", 3 /*String*/,  $CategoryIdData,  330, '~String', $ScriptIdSunrise, '');
	$NauticEndLim  = CreateVariable("NauticEndLimited",   3 /*String*/,  $CategoryIdData,  340, '~String', $ScriptIdSunrise, '');
	$NauticDisplay = CreateVariable("NauticDisplay",      3 /*String*/,  $CategoryIdData,  350, '~String', null,             '00:00 - 00:00');
	$NauticLimits  = CreateVariable("NauticLimits",       3 /*String*/,  $CategoryIdData,  360, '~String', $ScriptIdSunrise, '04:30-06:30/19:30-21:30');

	$AstronomicBeg     = CreateVariable("AstronomicBegin",        3 /*String*/,  $CategoryIdData,  410, '~String', $ScriptIdSunrise, '');
	$AstronomicEnd     = CreateVariable("AstronomicEnd",          3 /*String*/,  $CategoryIdData,  420, '~String', $ScriptIdSunrise, '');
	$AstronomicBegLim  = CreateVariable("AstronomicBeginLimited", 3 /*String*/,  $CategoryIdData,  430, '~String', $ScriptIdSunrise, '');
	$AstronomicEndLim  = CreateVariable("AstronomicEndLimited",   3 /*String*/,  $CategoryIdData,  440, '~String', $ScriptIdSunrise, '');
	$AstronomicDisplay = CreateVariable("AstronomicDisplay",      3 /*String*/,  $CategoryIdData,  450, '~String', null,             '00:00 - 00:00');
	$AstronomicLimits  = CreateVariable("AstronomicLimits",       3 /*String*/,  $CategoryIdData,  460, '~String', $ScriptIdSunrise, '04:00-06:00/20:00-22:00');

	SetVariableConstant ('c_ID_CategoryIdData',      $CategoryIdData,      'IPSTwillight.ips.php');
	SetVariableConstant ('c_ID_CategoryIdGraphics',  $CategoryIdGraphics,  'IPSTwillight.ips.php');
	SetVariableConstant ('c_ID_CategoryIdScripts',   $CategoryIdScripts,   'IPSTwillight.ips.php');
	SetVariableConstant ('c_ID_DisplaySwitch',       $DisplaySwitchId,     'IPSTwillight.ips.php');

	include_once "IPSTwillight.ips.php";

	// ----------------------------------------------------------------------------------------------------------------------------
	// WebFront Installation
	// ----------------------------------------------------------------------------------------------------------------------------
	//DeleteWFCItems(c_WebFront_ConfigId, 'WeatherTPSunrise');
	$WebFrontId = CreateCategoryPath(c_WebFront_Path);
	$CategoryIdData         = CreateCategory('Sunrise', $WebFrontId, 40);
	$CategoryIdDataTopLeft  = CreateCategory(  'TopLeft',  $CategoryIdData, 10);
	$CategoryIdDataTopRight = CreateCategory(  'TopRight', $CategoryIdData, 20);
	$CategoryIdDataBottom   = CreateCategory(  'Bottom',   $CategoryIdData, 30);
	$CategoryIdDataRight    = CreateCategory(  'Right',    $CategoryIdData, 40);
	CreateLinkByDestination('Sonnen-Aufgang/Untergang', $SunriseDisplay,    $CategoryIdDataTopLeft,  10);
	CreateLinkByDestination('Limits',                   $SunriseLimits,     $CategoryIdDataTopRight, 10);
	CreateLinkByDestination('Zivile Dmmerung',         $CivilDisplay,      $CategoryIdDataTopLeft,  20);
	CreateLinkByDestination('Limits',                   $CivilLimits,       $CategoryIdDataTopRight, 20);
	CreateLinkByDestination('Nautische Dmmerung',      $NauticDisplay,     $CategoryIdDataTopLeft,  30);
	CreateLinkByDestination('Limits',                   $NauticLimits,      $CategoryIdDataTopRight, 30);
	CreateLinkByDestination('Astronomische Dmmerung',  $AstronomicDisplay, $CategoryIdDataTopLeft,  40);
	CreateLinkByDestination('Limits',                   $AstronomicLimits,  $CategoryIdDataTopRight, 40);

	CreateLinkByDestination("Tag- und Nachtstunden in $Location",  $YearMediaId,      $CategoryIdDataBottom, 10);
	CreateLinkByDestination('Show Limited',                        $DisplaySwitchId,  $CategoryIdDataRight,  10);
	CreateLinkByDestination('Aktueller Tag',                       $DayMediaId,       $CategoryIdDataRight,  20);

   CreateWFCItemSplitPane (c_WebFront_ConfigId, 'WeatherTP_Sunrise',              c_WebFront_TabPaneRoot,             c_WebFront_TabPaneOrderId, c_WebFront_TabPaneName, c_WebFront_TabPaneIcon, 1 /*Vertical*/, 300 /*Width*/, 1 /*Target=Pane2*/, 1/*UsePixel*/, 'true');
   CreateWFCItemSplitPane (c_WebFront_ConfigId,   'WeatherTP_SunriseLeft',        'WeatherTP_Sunrise',     10, '', '', 0 /*Horicontal*/, 205 /*Height*/, 0 /*Target=Pane1*/, 1/*UsePixel*/, 'true');
   CreateWFCItemCategory  (c_WebFront_ConfigId,   'WeatherTP_SunriseRight',       'WeatherTP_Sunrise',     20, '', '', $CategoryIdDataRight    /*BaseId*/, 'false' /*BarBottomVisible*/);
   CreateWFCItemSplitPane (c_WebFront_ConfigId,     'WeatherTP_SunriseTop',       'WeatherTP_SunriseLeft', 10, '', '', 1 /*Vertical*/, 50 /*Width*/, 0 /*Target=Pane1*/, 0/*UsePercentage*/, 'true');
   CreateWFCItemCategory  (c_WebFront_ConfigId,     'WeatherTP_SunriseBottom',    'WeatherTP_SunriseLeft', 20, '', '', $CategoryIdDataBottom   /*BaseId*/, 'false' /*BarBottomVisible*/);
   CreateWFCItemCategory  (c_WebFront_ConfigId,       'WeatherTP_SunriseTopLeft', 'WeatherTP_SunriseTop',  10, '', '', $CategoryIdDataTopLeft  /*BaseId*/, 'false' /*BarBottomVisible*/);
   CreateWFCItemCategory  (c_WebFront_ConfigId,       'WeatherTP_SunriseTopRight','WeatherTP_SunriseTop',  20, '', '', $CategoryIdDataTopRight /*BaseId*/, 'false' /*BarBottomVisible*/);

	// ----------------------------------------------------------------------------------------------------------------------------
	// iPhone Installation
	// ----------------------------------------------------------------------------------------------------------------------------
	if (c_iPhone_Path <> "") {
		$iPhoneId  = CreateCategoryPath(c_iPhone_Path, c_iPhone_OrderId, c_iPhone_Icon);
		$InstanceId    = CreateDummyInstance("Sonnen-Aufgang/Untergang",  $iPhoneId, 10);
		CreateLink('Begin/Ende',   $SunriseDisplay, $InstanceId, 10);
		CreateLink('Limits',       $SunriseLimits,  $InstanceId, 20);
		$InstanceId    = CreateDummyInstance("Zivile Dmmerung",  $iPhoneId, 20);
		CreateLink('Begin/Ende',   $CivilDisplay, $InstanceId, 10);
		CreateLink('Limits',       $CivilLimits,  $InstanceId, 20);
		$InstanceId    = CreateDummyInstance("Nautische Dmmerung",  $iPhoneId, 30);
		CreateLink('Begin/Ende',   $NauticDisplay, $InstanceId, 10);
		CreateLink('Limits',       $NauticLimits,  $InstanceId, 20);
		$InstanceId    = CreateDummyInstance("Astronomische Dmmerung",  $iPhoneId, 40);
		CreateLink('Begin/Ende',   $AstronomicDisplay, $InstanceId, 10);
		CreateLink('Limits',       $AstronomicLimits,  $InstanceId, 20);

		CreateLinkByDestination("Jahres Grafik",            $YearUnlimitedMediaId,   $iPhoneId, 100);
		CreateLinkByDestination('Tages Grafik',             $DayUnlimitedMediaId,    $iPhoneId, 110);
		CreateLinkByDestination("Jahres Grafik (limited)",  $YearLimitedMediaId,     $iPhoneId, 120);
		CreateLinkByDestination('Tages Grafik (limited)',   $DayLimitedMediaId,      $iPhoneId, 130);
	}
?>